Subject: [Isis-wg] Re: ISIS Separate instances [Was: New PCE working group I-Ds]

From: David Ward <[email-masked]>
Date: Thu, 16 Aug 2007 09:45:23 -0500

Adrian -

At this point, the summary and conclusion you have below is the only path
forward. 

-DWard

On 8/16/07 4:30 AM, "Adrian Farrel" <[email-masked]> wrote:

>>>>>> - still unclear to me whether isis pce disc. will or not use a
>>>>>>   separate inst. (cf. gen-app discussion at isis working group)
>>>>> 
>>>>> ISIS pce disc relies on procedures defined in 4971.
>>>>> This is a deployment issue to use same or separate instances.
>>>> 
>>>> do you assume that you would leave such choice possible ? i
>>>> was left with the impression after last isis mtg discussion
>>>> that there is a real incentive for making this a recommended
>>>> behavior
>>> 
>>> Just to avoid confusion: the PCED is being carried within the ISIS
>>> Router Capability TLV, the processing of which is defined in RFC4971.
>> 
>> indeed, i am not referring to 4971 at such, i am referring to the
>> fact that if exchanging non-routing info w/ is-is result in recommending
>> separated instance then the ISIS PCE disc. w-g doc becomes a prime
>> candidate for such recommendation. just a matter of consistency.
> 
> My understanding of the discussion in the ISIS working group is that:
> - They are tending towards believing that there should be a separation
> between
>    flooding of IP link-state information and *all* other information
> - They think that such a separation might reasonably be handled by using
>    multiple (greater than one) instances of ISIS
> - They have not yet reached a conclusion as to whether existing extensions
>    fall into this category, but there was building opinion that TE
> advertisements
>    might be strong candidates for off-loading to a second instance
> - The Router Capability TLV would also be up for consideration
> 
> No slides for this topic from the ISIS working group in Chicago seem to have
> been posted yet.
> 
> The most recent version of the relevant I-D appears to be
> http://www.ietf.org/internet-drafts/draft-ginsberg-isis-genapp-01.txt
> although I know Les was planning some updates as a result of the Chicago
> meeting.
> 
> It seems to me that:
> 1. The ISIS working group is not going to reach a conclusion on this
>    in a hurry.
> 2. When they do reach a conclusion we MUST fall in with it.
> 3. In the mean time, just as TE and Router Caps are currently
>    carried in a single instance, the PCE discovery will be so
>    carried.
> 4. You should all contribute to this discussion on the ISIS mailing list.
> 
> Cheers,
> Adrian 

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg